Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#274 JDK 1.5+ usages

closed-fixed
nobody
None
5
2011-10-11
2011-01-04
Martin Krauskopf
No

There is an import of java.lang.annotation.Annotation which should be org.jfree.chart.annotations.Annotation (it is imported just for Javadoc link). So trunk is not compilable with JDK 1.4. See attached patch.

Discussion

  •  
    Attachments
  • I've tweaked the description since there are problem in trunk as well as in 1.0.x branch. Attaching patch for 1.0.x branch which makes it 1.4 compatible.

     
    • summary: o.j.c.plot.CategoryPlot contains JDK 1.5 --> JDK 1.5+ usages
     
  • JDK 1.4 compatibility patch

     
  • Martin Höller
    Martin Höller
    2011-10-11

    The fix was applied in r2274.

     
  • Martin Höller
    Martin Höller
    2011-10-11

    • status: open --> closed-fixed